﻿body {
}


.e-grid .e-gridheader {
    background: linear-gradient( to bottom, #DEE5F5 0%, #D4DFF4 50%, #C9D8F2 100% ) !important;
    color: #000;
    /*border-left: 1px solid #6689CA !important;*/
    /*border-right: 1px solid #6689CA !important;*/
    /*border-top: 1px solid #6689CA !important;*/
    /*border-bottom: 1px solid #6689CA !important;*/
    /*border-bottom-color: #6689CA !important;*/
    border-left-color: #6689CA !important;
    border-bottom-color: #6689CA !important;
    border-top-color: #6689CA !important;
}

.e-grid .e-headercell {
    background: linear-gradient( to bottom, #DEE5F5 0%, #D4DFF4 50%, #C9D8F2 100% ) !important;
    color: #000;
    /*border-right: 1px solid #6689CA !important;*/
    /*border-color: #6689CA!important;*/
    border-color: #6689CA!important;
    height: 24px !important;
    pointer-events: none !important;
    padding: 0px 3px 0px 3px !important;
}
.e-grid .e-headercell:last-child {
    border-right: 1px solid #6689CA !important;
}
.e-grid .e-headercell:first-child {
    border-left: 1px solid #6689CA !important;
}

.e-grid .e-columnheader {
    border-bottom: 1px solid #808080;
}

.e-grid .e-headercelldiv {
    font-size: 14px !important;
    font-weight: 400 !important;
}

.e-grid .e-rowcell {
    font-size: 14px !important;
    padding: 0px 3px 0px 3px!important ;
}

.e-grid .e-unboundcelldiv .e-btn {
    min-width: 32px !important;
    padding: 2px !important;
    margin: 0 !important;
}
/* Estilo para la fila seleccionada */
/*.e-grid .e-selectionbackground {
    background: inherit !important;*/
    /*    border-top: 2px solid #0d6efd !important;
    border-bottom: 2px solid #0d6efd !important;*/
    /*outline: 2px solid #0d6efd !important;
    outline-offset: -2px;
}*/

/* Estilo para ocultar boton */
.e-removecommand .e-unboundcell .e-unboundcelldiv button {
    display: none;
}

.e-gridcustomcommand {
    cursor: pointer;
    padding: 1px !important;
    width: 28px !important;
    height: 28px !important;
    margin: 0px !important;
    border-radius: 4px!important;
}

.e-gridcustomcommand .e-icons {
    font-size: 17px !important;
}

.e-gridcustomcommand:hover {
    background-color: rgba(0,0,0,.08);
}

.e-grid .e-input-group,
.e-grid .e-input-group input,
.e-grid .e-numerictextbox,
.e-grid .e-input {
    height: 28px !important;
    min-height: 22px !important;
    font-size: 12px !important;
    padding: 0px 1px 2px 1px !important;
}

.e-grid .e-input-group .e-input-group-icon, 
.e-input-group.e-control-wrapper .e-input-group-icon {
    min-height: 20px!important;
    min-width: 26px!important;
}

/*-----------------------*/
/* GRID - MULTISELECT */
.e-grid .e-multi-select-wrapper {
    /*font-family: system-ui, -apple-system, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", "Liberation Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";*/
    font-size: 10px !important;
    line-height: 24px !important;
    padding-left: 2px !important;
    padding-right: 2px !important;
    /*vertical-align: middle;*/
}

    .e-grid .e-multi-select-wrapper .e-delim-values {
        font-size: 12px !important;
        line-height: 24px !important;
        padding-left: 2px !important;
        padding-right: 2px !important;
    }

    .e-grid .e-multi-select-wrapper .e-delim-view {
        font-size: 12px !important;
        line-height: 24px !important;
        padding-left: 2px !important;
        padding-right: 2px !important;
    }

.e-grid .e-multiselect .e-multi-select-wrapper .e-chips-collection .e-chips {
    min-height: 23px !important;
    margin-top: 1px !important;
    height: 18px !important;
    padding-left: 3px !important;
    padding-right: 3px !important;
}

.e-grid .e-multi-select-wrapper .e-chips {
    /*background-color: aqua;*/
    height: 18px;
}

.e-grid .e-multiselect .e-multi-select-wrapper .e-chips .e-chipcontent {
    font-size: 12px !important;
    line-height: 12px !important;
    /*-webkit-text-fill-color: blue;*/
}

/*------------------------------------------*/
/* LISTA POPUP DE LISTAS COMBOS MULTISELECT */
.e-switch-wrapper {
    height: 30px !important;
    display: block !important;
    margin-top: 1px !important;
    margin-bottom: 1px !important;
}

    .e-switch-wrapper .e-switch-inner.e-switch-active, 
    .e-css.e-switch-wrapper .e-switch-inner.e-switch-active {
        background-color: #c0c0c0!important;
        border-color: #c0c0c0!important;
    }

    .e-switch-wrapper .e-switch-on, .e-css.e-switch-wrapper .e-switch-on {
        /*background-color: #7DE67D !important;*/
        background: linear-gradient(180deg, #4EC94E 0%, #7DE67D 100%) !important;
        border-color: #c0c0c0 !important;
        color: black !important;
    }
    
/*.e-switch-wrapper .e-switch-inner {
        height: 28px!important;
    }*/

    .e-switch-wrapper .e-switch-handle {
        width: 20px !important;
        height: 20px !important;
        margin-left: 1px !important;
    }

    .e-switch-wrapper .e-switch-handle.e-switch-active {
        left: 100%!important;
        margin-left: -23px!important;
    }

/*    .e-switch-wrapper .e-switch-handle {
        width: 22px !important;
        height: 22px !important;
        margin-left: -22px !important;
        margin-right: 22px !important;
    }*/

/*    .e-switch-wrapper.e-switch-active .e-switch-handle {
        left: -24px;
    }*/

/*------------------------------------------*/
/* INPUT COMBOBOX */
input.e-input, .e-input-group input.e-input, .e-input-group input, 
.e-input-group.e-control-wrapper input.e-input, .e-input-group.e-control-wrapper input {
    padding-left: 3px!important;
}

.e-input-group.e-control-wrapper.e-ddl.e-readonly .e-input[readonly], .e-float-input.e-control-wrapper.e-ddl.e-readonly input[readonly] {
    background: #ffffff!important;
}

/*------------------------------------------*/
/* LISTA POPUP DE LISTAS COMBOS MULTISELECT */
.e-popup .e-list-item {
    font-size: 13px !important;
    background-color: transparent !important;
    color: black !important;
}
    .e-popup .e-list-item:hover {
        /*font-size: 12px !important;*/
        background-color: #fff3c4 !important;
        color: black !important;
    }
    .e-popup .e-list-item.e-active {
        /*font-size: 12px !important;*/
        color: black !important;
    }
.e-popup {
    background-color: #fffbe6 !important;
    color: black !important;
    border: 1px solid #e6d88a !important;
    box-shadow: 0 4px 12px rgba(0,0,0,.20) !important;
}

/* Customizing the tooltip popup background and border */
.e-tooltip-wrap.e-popup {
/*    border: 1px solid #000000!important;
    border-radius: 6px!important;*/
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.2)!important;
}

/* Customizing the tooltip text */
.e-tooltip-wrap .e-tip-content {
    font-size: 14px!important;
    color: #000000!important; 
}

/* Customizing the tooltip arrow/pointer */
.e-tooltip-wrap .e-arrow-tip-inner.e-tip-bottom {
    color: #333333; /* Match popup background */
}
